高危 XWiki Platform xwiki-platform-wiki-ui-mainwiki 表达式注入漏洞(CVE-2022-36099)

CVE编号

CVE-2022-36099

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2022-09-09
漏洞描述
XWIki Platform 是一个通用的Wiki平台,为基于其构建的应用程序提供运行时服务。CVE-2022-36099 ,对文档具有查看权限的用户可利用模板中的tag,构造恶意请求注入Groovy/Python/Velocity等表达式,从而可执行任意代码,控制服务器。

安全版本
XWIki Platform 13.10.6
XWIki Platform 14.4
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 xwiki xwiki * From
(including)
14.0
Up to
(excluding)
14.4
运行在以下环境
应用 xwiki xwiki * From
(including)
5.4
Up to
(excluding)
13.10.6
运行在以下环境
应用 xwiki xwiki 5.3 -
阿里云评分
8.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
CWE-95 动态执行代码中指令转义处理不恰当(Eval注入)
阿里云安全产品覆盖情况